> ## Documentation Index
> Fetch the complete documentation index at: https://developer.vanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create customer trust account

> Create a new customer trust account.



## OpenAPI

````yaml /reference/manage-vanta.json post /customer-trust/accounts
openapi: 3.0.0
info:
  title: Manage Vanta
  version: 1.0.0
  description: >-
    The REST API lets customers query and mutate Vanta's data. Use this API to
    automate bulk actions, query data for custom workflows and dashboards, and
    bolster your security operations


    **Note for Vanta Gov (FedRAMP) customers:** Select `Vanta Gov (FedRAMP)`
    from the server dropdown to issue requests against
    `https://api.vanta-gov.com`. The OAuth token URL shown below defaults to the
    commercial host — replace it with `https://api.vanta-gov.com/oauth/token`.
  termsOfService: https://www.vanta.com/terms
  license:
    name: UNLICENSED
  contact:
    name: API Support
    url: https://help.vanta.com/
    email: support@vanta.com
servers:
  - url: https://api.vanta.com/v1
    description: Vanta (Commercial)
  - url: https://api.vanta-gov.com/v1
    description: Vanta Gov (FedRAMP)
security: []
paths:
  /customer-trust/accounts:
    post:
      tags:
        - Customer Trust
      summary: Create customer trust account
      description: Create a new customer trust account.
      operationId: CreateCustomerTrustAccount
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateCustomerTrustAccountInput'
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerTrustAccountVantaApi'
              examples:
                Example 1:
                  value:
                    id: 507f1f77bcf86cd799439011
                    name: Acme Corporation
                    emailDomain: acme.com
                    createdDate: '2024-01-01T00:00:00.000Z'
                    updatedDate: '2024-01-02T00:00:00.000Z'
                    ndaDetails:
                      ndaStatus: SIGNED
                      ndaSatisfiedDate: '2024-01-02T00:00:00.000Z'
                    accessConfig:
                      autoApprovalEnabled: false
                      grantAccessOption: INCLUDE_EVERYTHING_REQUESTED
                    customFields:
                      - label: externalId
                        value: '12345'
                    tagsByCategory:
                      - categoryId: 507f1f77bcf86cd799439012
                        tagIds:
                          - 507f1f77bcf86cd799439013
      security:
        - bearerAuth: []
components:
  schemas:
    CreateCustomerTrustAccountInput:
      properties:
        name:
          type: string
        emailDomain:
          type: string
        ndaDetails:
          $ref: '#/components/schemas/CustomerTrustAccountNDADetailsInput'
        accessConfig:
          $ref: '#/components/schemas/CustomerTrustAccountAccessConfigInput'
        customFields:
          items:
            $ref: '#/components/schemas/CustomField'
          type: array
        tagsByCategory:
          items:
            $ref: '#/components/schemas/TagsByCategoryInput'
          type: array
          description: Tags to assign to this account, grouped by category
      required:
        - name
        - emailDomain
      type: object
      additionalProperties: false
    CustomerTrustAccountVantaApi:
      description: Vanta API representation of a CustomerTrustAccount.
      properties:
        id:
          type: string
          description: Unique identifier for the account
        name:
          type: string
          description: Name of the account
        emailDomain:
          type: string
          description: Primary email domain associated with the account
        createdDate:
          type: string
          format: date-time
          description: When the account was created
        updatedDate:
          type: string
          format: date-time
          description: When the account was last updated
        ndaDetails:
          $ref: '#/components/schemas/CustomerTrustAccountNDADetails'
          description: NDA configuration for this account
        accessConfig:
          allOf:
            - $ref: '#/components/schemas/CustomerTrustAccountAccessConfig'
          nullable: true
          description: Access configuration for this account
        customFields:
          items:
            $ref: '#/components/schemas/CustomField'
          type: array
          description: Custom field values for this account
        tagsByCategory:
          items:
            $ref: '#/components/schemas/TagsByCategoryOutput'
          type: array
          description: Tags assigned to this account, grouped by category
      required:
        - id
        - name
        - emailDomain
        - createdDate
        - updatedDate
        - ndaDetails
        - accessConfig
        - customFields
        - tagsByCategory
      type: object
      additionalProperties: false
    CustomerTrustAccountNDADetailsInput:
      properties:
        markNdaNotRequired:
          type: boolean
          description: >-
            Whether NDA requirement should be bypassed for access requests
            matching this account
      required:
        - markNdaNotRequired
      type: object
      additionalProperties: false
    CustomerTrustAccountAccessConfigInput:
      properties:
        autoApprovalEnabled:
          type: boolean
          description: >-
            Whether access requests matching this account's email domain should
            be auto-approved
        grantAccessOption:
          allOf:
            - $ref: '#/components/schemas/CustomerTrustAccountGrantAccessOption'
          nullable: true
          description: >-
            How to grant resource access for auto-approved requests. Must be
            specified if autoApprovalEnabled is true
        tagsByCategory:
          items:
            $ref: '#/components/schemas/TagsByCategoryInput'
          type: array
          description: Tags to assign to this account, grouped by category.
          deprecated: true
      required:
        - autoApprovalEnabled
      type: object
      additionalProperties: false
    CustomField:
      properties:
        label:
          type: string
        value:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
      required:
        - label
        - value
      type: object
      additionalProperties: false
    TagsByCategoryInput:
      properties:
        categoryId:
          type: string
          description: The tag category ID
        tagIds:
          items:
            type: string
          type: array
          description: Tag IDs to assign. An empty array removes all tags for the category.
      required:
        - categoryId
        - tagIds
      type: object
      additionalProperties: false
    CustomerTrustAccountNDADetails:
      properties:
        ndaStatus:
          $ref: '#/components/schemas/CustomerTrustAccountNdaStatus'
          description: The status of the NDA for this account
        ndaSatisfiedDate:
          type: string
          format: date-time
          nullable: true
          description: The date and time the NDA was satisfied
      required:
        - ndaStatus
        - ndaSatisfiedDate
      type: object
      additionalProperties: false
    CustomerTrustAccountAccessConfig:
      properties:
        autoApprovalEnabled:
          type: boolean
          description: >-
            Whether access requests matching this account's email domain should
            be auto-approved
        grantAccessOption:
          allOf:
            - $ref: '#/components/schemas/CustomerTrustAccountGrantAccessOption'
          nullable: true
          description: How to grant resource access for auto-approved requests
      required:
        - autoApprovalEnabled
        - grantAccessOption
      type: object
      additionalProperties: false
    TagsByCategoryOutput:
      properties:
        categoryId:
          type: string
          description: The tag category ID
        tagIds:
          items:
            type: string
          type: array
          description: Tag IDs assigned in this category
      required:
        - categoryId
        - tagIds
      type: object
      additionalProperties: false
    CustomerTrustAccountGrantAccessOption:
      type: string
      enum:
        - INCLUDE_EVERYTHING_REQUESTED
        - INCLUDE_ONLY_CONFIGURED
      description: >-
        How a CustomerTrustAccount determines which resources to grant its
        viewers access to.
    CustomerTrustAccountNdaStatus:
      type: string
      enum:
        - SIGNED
        - NOT_REQUIRED
        - INCOMPLETE
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````